Package: org.apache.groovy.parser.antlr4

## [Java] Class AbstractParser

- org.apache.groovy.parser.antlr4.AbstractParser

- All Implemented Interfaces and Traits:
    SyntaxErrorReportable

      public abstract class AbstractParser
      extends Parser
      implements SyntaxErrorReportable

  Because antlr4 does not support generating parser with specified interface, we have to create a super class for it and implement the interface.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Parser` | `EOF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractParser(TokenStream input)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Parser` | `action, addErrorListener, addParseListener, compileParseTreePattern, compileParseTreePattern, consume, createErrorNode, createTerminalNode, dumpDFA, enterLeftFactoredRule, enterOuterAlt, enterRecursionRule, enterRecursionRule, enterRule, equals, exitRule, getATN, getATNWithBypassAlts, getBuildParseTree, getClass, getContext, getCurrentToken, getDFAStrings, getErrorHandler, getErrorHeader, getErrorListenerDispatch, getErrorListenerDispatch, getErrorListeners, getExpectedTokens, getExpectedTokensWithinCurrentRule, getGrammarFileName, getInputStream, getInputStream, getInterpreter, getInvokingContext, getNumberOfSyntaxErrors, getParseInfo, getParseListeners, getPrecedence, getRuleContext, getRuleIndex, getRuleIndexMap, getRuleInvocationStack, getRuleInvocationStack, getRuleNames, getSerializedATN, getSourceName, getState, getTokenErrorDisplay, getTokenFactory, getTokenNames, getTokenType, getTokenTypeMap, getTrimParseTree, getVocabulary, hashCode, inContext, isExpectedToken, isMatchedEOF, isTrace, match, matchWildcard, notify, notifyAll, notifyErrorListeners, notifyErrorListeners, precpred, pushNewRecursionContext, removeErrorListener, removeErrorListeners, removeParseListener, removeParseListeners, reset, sempred, setBuildParseTree, setContext, setErrorHandler, setInputStream, setInterpreter, setProfile, setState, setTrace, setTrimParseTree, toString, unrollRecursionContexts, wait, wait, wait`

- - ### Constructor Detail

    - #### public AbstractParser(TokenStream input)